from Reader import reader, types, status
import json
import ObjectItem
from Log import LOG

class FMResult():
    def __init__(self):
        self.result = None

    def parse_modifications(self):
        self.result = reader.readByte()
        self.item = ObjectItem.ObjectItem(from_fm=True)
        self.pool_status = reader.readByte()
        return self
